#include "Sprite.h"

Sprite::Sprite()
: Transform(), _texture(0)
{
}

Sprite::~Sprite()
{
}

Texture** Sprite::ppGetTexture()
{
    return &_texture;
}

Texture* Sprite::getTexture()
{
    return _texture;
}

void Sprite::setTexture(Texture* texture)
{
    _texture = texture;
}